#pragma once
#include <QDialog>
#include <QListView>
#include <QStandardItemModel>
#include <QComboBox>
#include <QPushButton>
#include <EntityDocks.h>

class TempletAssemble : public QDialog
{
	Q_OBJECT
private:
	std::shared_ptr<DeduceFramework> _bind_framework;

	QListView *const _templet_present;
	QStandardItemModel *const _templet_model;
	QPushButton *const _t_add, *const _t_remove;

	QLineEdit *const _templet_name;
	QComboBox *const _component_types;
	QPushButton *const _comp_add, *const _comp_remove;
	QListView *const _component_present;
	QStandardItemModel *const _component_model;
	QPushButton *const _apply;

public:
	TempletAssemble(std::shared_ptr<DeduceFramework> fmk, QWidget *p = nullptr);
	virtual ~TempletAssemble() = default;


};

